Package org.eclipse.graphiti.pattern.mapping

# Interface IStructureMappingMulti

All Superinterfaces:
  `IStructureMapping`

All Known Subinterfaces:
  `IStructureMappingGrid`

All Known Implementing Classes:
  `StructureMappingGrid`, `StructureMappingMulti`

public interface IStructureMappingMulti extends IStructureMapping
The Interface IStructureMappingMulti.

## Method Summary

Modifier and Type
Method
Description
`List<ILinkCreationInfo>`
`getLinkCreationInfos(Object mainBusinessObject)`
Returns the list of business object arrays.

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMapping

`getDataMapping`

## Method Details

### getLinkCreationInfos

List<ILinkCreationInfo> getLinkCreationInfos(Object mainBusinessObject)
Returns the list of business object arrays. Each array of business objects will be linked with a pictogram element acting as placeholder in a pattern.

Parameters:
  `mainBusinessObject` - this is the main business object of the current pattern
Returns:
  the list of business objects